Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "be186f35-e69d-4bd7-a29f-7c2925c88ff6",
"date_start": "2026-10-30T06:59:12.2627125+00:00",
"date_end": "2026-10-30T06:59:12.2627125+00:00",
"modified_dateutc": "2026-10-30T06:59:12.2627125+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "704b7f41-3cb7-4cce-870d-55451be18e11",
"user_code": "sample string 8",
"user": {
"id": "f0154544-4244-4e8d-9476-612215045241",
"db_language_id": "a386d48d-f812-4ba4-abf8-14beea62b8cb",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-30T06:59:12.2627125+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "4d1cafe7-1f75-43dd-aae1-e32ece10530a",
"sales_organization": {
"id": "c8ca0865-b9ff-4bb2-b716-79d5e614a70b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8e839d62-6d0a-4f8a-a7c2-5c8943eaadeb",
"db_currency_id": "da8f4588-274f-49ac-b59c-739ddde59830",
"db_language_id": "8b747c87-8947-4205-98cf-1c685b29e9fa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T06:59:12.2627125+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "2f5399ae-cbf4-49a7-8ace-78ed45ba9d03",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "73aeb09d-5ed8-4a02-9b07-3b843d7c474a",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-30T06:59:12.2627125+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "3734e366-4834-43f6-9e92-5255c88d26cf"
},
"user_unavailability_type_id": "5671f0ba-f89a-47ea-b689-960a2a63cd55",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "82fbd80a-490a-452a-a7f2-8fc3377e5056",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "3f068c18-6cb1-4442-b0de-fad2fd7f6e71",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c8ca0865-b9ff-4bb2-b716-79d5e614a70b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8e839d62-6d0a-4f8a-a7c2-5c8943eaadeb",
"db_currency_id": "da8f4588-274f-49ac-b59c-739ddde59830",
"db_language_id": "8b747c87-8947-4205-98cf-1c685b29e9fa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T06:59:12.2627125+00:00"
},
"modified_dateutc": "2026-10-30T06:59:12.2627125+00:00"
}
}